Package ru.bitel.bgbilling.modules.smarthouse.common.service

# Interface ForpostIntercomService

public interface ForpostIntercomService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `forpostIntercomAccountCacheReload(int accountId)`
  `ForpostAccount`
  `forpostIntercomAccountDefault()`
  `void`
  `forpostIntercomAccountEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `List<ForpostAccount>`
  `forpostIntercomAccountList()`
  `ForpostCamera`
  `forpostIntercomCameraDefault()`
  `void`
  `forpostIntercomCameraEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomCameraModelList(boolean withBrand)`
  `ForpostDevice`
  `forpostIntercomDeviceDefault()`
  `void`
  `forpostIntercomDeviceEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `int`
  `forpostIntercomDeviceTypeGroupIdByDeviceType(int id)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomDeviceTypeGroupList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomDeviceTypeList(int groupId)`
  `ForpostGroup`
  `forpostIntercomEntranceDefault()`
  `ForpostGroup`
  `forpostIntercomHouseDefault()`
  `void`
  `forpostIntercomHouseEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params)`
  `List<IdTitle>`
  `forpostIntercomHouseList(int accountId)`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomManagementAccountList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomMasterList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomProtocolList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomRecordTypeList()`
  `List<ru.bitel.bgbilling.common.model.KeyValue>`
  `forpostIntercomRtspTransportList()`
  `ForpostUser`
  `forpostIntercomUserDefault()`
  `void`
  `forpostIntercomUserEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params)`

- ## Method Details

  - ### forpostIntercomAccountList

    List<ForpostAccount> forpostIntercomAccountList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomAccountCacheReload

    void forpostIntercomAccountCacheReload(int accountId) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomAccountDefault

    ForpostAccount forpostIntercomAccountDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomUserDefault

    ForpostUser forpostIntercomUserDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomCameraDefault

    ForpostCamera forpostIntercomCameraDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomDeviceDefault

    ForpostDevice forpostIntercomDeviceDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomHouseDefault

    ForpostGroup forpostIntercomHouseDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomEntranceDefault

    ForpostGroup forpostIntercomEntranceDefault() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomManagementAccountList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomManagementAccountList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomCameraModelList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomCameraModelList(boolean withBrand) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomMasterList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomMasterList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomProtocolList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomProtocolList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomRtspTransportList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomRtspTransportList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomRecordTypeList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomRecordTypeList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomDeviceTypeGroupList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomDeviceTypeGroupList() throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomDeviceTypeList

    List<ru.bitel.bgbilling.common.model.KeyValue> forpostIntercomDeviceTypeList(int groupId) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomDeviceTypeGroupIdByDeviceType

    int forpostIntercomDeviceTypeGroupIdByDeviceType(int id) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomAccountEdit

    void forpostIntercomAccountEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomUserEdit

    void forpostIntercomUserEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomCameraEdit

    void forpostIntercomCameraEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomDeviceEdit

    void forpostIntercomDeviceEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomHouseEdit

    void forpostIntercomHouseEdit(List<ru.bitel.bgbilling.common.model.KeyValue> params) throws Exception
    Throws:
      `Exception`

  - ### forpostIntercomHouseList

    List<IdTitle> forpostIntercomHouseList(int accountId) throws Exception
    Throws:
      `Exception`